Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Do I have a version problem?

Discussion in 'Phantom 2 Discussion' started by scooter339, May 4, 2014.

  1. scooter339

    Joined:
    Feb 14, 2014
    Messages:
    245
    Likes Received:
    0
    Location:
    Grand Junction, Colorado
    I'm running 3.0 and don't feel confident about the upgrade to 3.2

    I wish I was running 1.08 on the controller but can't find it for a Mac, I am running 1.0.1.27 on the P330CB.

    Any thoughts?
     
Loading...
Similar Threads - version problem Forum Date
New Props for V3.0 for use on earier version any problem Phantom 2 Vision + Discussion Oct 13, 2016
New DJI GO version 3.0.0 problem on IPad Mini 2 Phantom 4 Discussion Oct 1, 2016
lightbridge firmware PROBLEM (and solution) - firmware version not found by dji assistant tool DJI Lightbridge May 3, 2016
Ph3 RC HDMI Module output to "HDMI to A/V Conversion Module RCD3015" problem Pro/Adv Discussion Sep 11, 2015
Android DJI GO App Version 2.0.2 - Disconnect Problems? Pro/Adv Discussion Aug 19, 2015